> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List all Workflow Integration Connections

`GET https://api.pagerduty.com/workflows/integrations/connections`

List all Workflow Integration Connections.

Scoped OAuth requires: `workflow_integrations:connections.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | integer |  | The minimum of the `limit` parameter used in the request or the maximum request size of the API. |
| `cursor` | string |  | Optional parameter used to request the "next" set of results from an API. The value provided here is most commonly obtained from the `next_cursor` field of the previous request. When no value is provided, the request starts at the beginning of the result set. |
| `name` | string |  | Filter Integrations by partial name. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

A paginated list of Workflow Integration Connections.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `limit` | integer | yes |  |
| `next_cursor` | string \| null | yes |  |
| `connections` | array of object | yes |  |
| `connections[].id` | string |  | The ID of the connection. Read-only. |
| `connections[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `connections[].type` | string |  | The type of the connection. Read-only. |
| `connections[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `connections[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `connections[].integration_id` | string |  | The integration ID that this connection is associated with. Read-only. |
| `connections[].name` | string |  | The name given to the connection. |
| `connections[].service_url` | string |  | The URL of the service that this connection is associated with. |
| `connections[].external_id` | string |  | The ID of the external system that this connection is used to connect to. |
| `connections[].external_id_label` | string |  | The label of the external system that this connection is used to connect to. |
| `connections[].scopes` | array of string |  |  |
| `connections[].is_default` | boolean |  | Whether or not this connection is the default connection for this integration. |
| `connections[].health` | object |  | Read-only. |
| `connections[].health.is_healthy` | boolean |  | Whether or not the connection is healthy. Read-only. |
| `connections[].health.health_message` | string |  | A message describing the health of the connection. Read-only. |
| `connections[].health.last_checked_at` | string (date-time) |  | The timestamp of the last health check. Read-only. |
| `connections[].configuration` | object |  | The configuration for this connection. |
| `connections[].secrets` | object |  | The secrets for this connection. This will always be `null` on a response so that secrets are not leaked. |
| `connections[].teams` | array of object |  | The teams whose managers are allowed to use or edit this connection. |
| `connections[].teams[].team_id` | string |  | The ID of the team. |
| `connections[].teams[].type` | string |  | One of: `team_reference`. |
| `connections[].apps` | array of object |  | The app IDs for this connection. |
| `connections[].apps[].app_id` | string |  | The ID of the app. |
| `connections[].apps[].type` | string |  | One of: `pd_app_reference`. |
| `connections[].created_at` | string (date-time) |  | The timestamp of when the connection was created. Read-only. |
| `connections[].created_by` | object, nullable |  | Reference to the user who created this connection. Read-only. |
| `connections[].created_by.type` | string |  | Type of the referenced object. Read-only. One of: `user_reference`. |
| `connections[].created_by.id` | string |  | Unique identifier of the user. Read-only. |
| `connections[].created_by.summary` | string |  | The user's name. Read-only. |
| `connections[].created_by.html_url` | string (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `connections[].created_by.self` | string (url) |  | the API show URL at which the object is accessible. Read-only. |

Example: Response Example

```json
{
  "connections": [
    {
      "id": "5a8e88bb-2acd-4035-8f02-163c10f917b8",
      "type": "workflow_integration_connection",
      "integration_id": "http-api",
      "name": "My Connection",
      "service_url": "https://webhook.site",
      "external_id": "My Connection",
      "external_id_label": "Connection Name",
      "health": {
        "is_healthy": true,
        "last_checked_at": "2024-07-18T21:16:51.511+00:00",
        "health_message": "Healthy"
      },
      "configuration": {
        "Health Check URL": "https://example.com/health",
        "Allowed Hostnames": "webhook.site",
        "Health Check Method": "GET",
        "Redacted Authentication Headers": "x-api-key: ****"
      },
      "secrets": null,
      "teams": [],
      "apps": [],
      "html_url": "https://subdomain.pagerduty.com/workflows/integrations/http-api/connections/5a8e88bb-2acd-4035-8f02-163c10f917b8",
      "self": "https://api.pagerduty.com/workflows/integrations/http-api/connections/5a8e88bb-2acd-4035-8f02-163c10f917b8",
      "created_at": "2024-06-18T18:41:27.1+00:00",
      "created_by": {
        "id": "P7F68N8",
        "type": "user_reference",
        "summary": "John Smith",
        "html_url": "https://subdomain.pagerduty.com/users/P7F68N8",
        "self": "https://api.pagerduty.com/users/P7F68N8"
      }
    }
  ],
  "limit": 10,
  "next_cursor": null
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
